package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CountrysideGarbage;
import com.lightinit.hsdatashow.entity.CountrysideGarbageExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CountrysideGarbageMapper {
    long countByExample(CountrysideGarbageExample example);

    int deleteByExample(CountrysideGarbageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CountrysideGarbage record);

    int insertSelective(CountrysideGarbage record);

    List<CountrysideGarbage> selectByExample(CountrysideGarbageExample example);

    CountrysideGarbage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CountrysideGarbage record, @Param("example") CountrysideGarbageExample example);

    int updateByExample(@Param("record") CountrysideGarbage record, @Param("example") CountrysideGarbageExample example);

    int updateByPrimaryKeySelective(CountrysideGarbage record);

    int updateByPrimaryKey(CountrysideGarbage record);

    List<CountrysideGarbage> getCountrysideGarbage(@Param("year") int year);
}